#!/bin/bash

IMAGE=registry.gitlab.com/wolutator/yadyn:latest
VOLUME_VAR=yadyn-var
VOLUME_ZONES=yadyn-zones

docker volume inspect $VOLUME_VAR > /dev/null || docker volume create $VOLUME_VAR
docker volume inspect $VOLUME_ZONES > /dev/null || docker volume create $VOLUME_ZONES

#docker pull $IMAGE


docker run \
  -d \
  -p 53:53/udp \
  -p 53:53/tcp \
  -p 8053:8053/udp \
  -v $VOLUME_VAR:/opt/app/var \
  -v $VOLUME_ZONES:/etc/bind/dynamic \
  --restart unless-stopped \
  $IMAGE


